MAXScript Language Reference > 3ds Max Objects > ToneOperator: MAXWrapper >

# Pseudo_Color_Exposure_Control : ToneOperator

    Pseudo_Color_Exposure_Control - superclass: ToneOperator; super-superclass:MAXWrapper - classID: #(1465794047, 1625374106)

Value > MAXWrapper > ToneOperator > Pseudo_Color_Exposure_Control

| Render and Bake Elements - Quick Navigation

Pseudo Color Exposure Control is a lighting analysis tool that provides an intuitive way of visualizing and evaluating the lighting levels in the scene. It mapsluminanceorilluminancevalues to pseudo colors that show the brightness of the values being converted

Constructors

    Pseudo_Color_Exposure_Control ... pseudoColorExposureControl ...

Properties

    <Pseudo_Color_Exposure_Control>.active Boolean default: true -- boolean

Controls whether the exposure control is active or not.

    <Pseudo_Color_Exposure_Control>.automatic Boolean default: false -- boolean

Get/Set the . automatic property of the Tone Operator. When false (default), the minimum and maximum range values will be used. When true , the Min. and Max. spinners in the UI will be disabled and the range will be determined automatically.NOTE that this feature is not exposed to the UI and is only accessible through MAXScript.

    <Pseudo_Color_Exposure_Control>.display Integer default: 0 -- integer

Get/Set the display property of the Tone Operator. Corresponds to the Style drop-down list in the UI.

0 - Colored

1 - Greyscale

    <Pseudo_Color_Exposure_Control>.illuminance SubAnim default: SubAnim:Illuminance -- SubAnim

The Illuminance SubAnim containing the Illuminance Render Element added automatically by the Tone Operator to the Render Elements list in order to obtain accurate data.

Note

After creating the exposure control via MAXScript, the SubAnim will be unnamed. The SubAnim will be hooked up to the exposure control when the control is assigned to the scene.

The SubAnim value cannot be set!

When the .quantity property is set to 1the .illuminace property is replaced by a .luminance property containing a Luminance Render Element. In this case accessing the .illuminance property will cause an"Unknown property"error.

    <Pseudo_Color_Exposure_Control>.maximum Float default: 50.0 -- animatable; float

The Maximum Display Range to be measured and displayed by the Tone Operator.

    <Pseudo_Color_Exposure_Control>.minimum Float default: 0.0 -- animatable; float

The Minimum Display Range to be measured and displayed by the Tone Operator.

    <Pseudo_Color_Exposure_Control>.physicalScale Float default: 1500.0 -- animatable; float; Physical_Scale

Controls the physical scale.

    <Pseudo_Color_Exposure_Control>.processBG Boolean default: false -- boolean; Process_Background

Controls whether the background should be processed or not.

    <Pseudo_Color_Exposure_Control>.quantity Integer default: 0 -- integer

0 - illuminance property exposes an Illuminance_Render_Element

1 - illuminance property replaced with luminance property, which exposes an Luminance_Render_Element

    <Pseudo_Color_Exposure_Control>.scaleFunction Integer default: 0 -- integer; Scale_Function

Get/Set the scaleFunction property corresponding to the selection of the Scale drop-down list in the UI. Chooses the technique used to map values.

0 - Logarithmic (default) uses a logarithmic scale.

1 - Linear uses a linear scale.

    <Pseudo_Color_Exposure_Control>.unitSystemUsed Integer default: 0 -- integer; Unit_System_in_Use

Not directly exposed in the UI. This property is used internally to interface with the Lighting Units set up under Customize > Units Setup.

0 - SI (International, lux)

1 - AS (American, candles/squarefoot)

#### See Also

- Illuminance_Render_Element: RenderElement

- Luminance_Render_Element: RenderElement

- Interface: SceneExposureControl

- ToneOperator : MAXWrapper